Xentree Docs
StatusMy Xentree
StatusMy Xentree
  1. Documentation
  • Documentation
    • Introduction
    • Quickstart
    • Authentication
    • Conversations
    • Knowledge Base
    • Organizations
    • Profile & Analytics
    • Xentree English
    • Xentree Live
    • Skills Connector
    • Integration Tokens
    • API Keys
    • Errors and Limits
  • API Reference
    • Authentication
      • Register a new user
      • Log in and get an access token
      • Refresh an access token
      • Log out the current user
      • Get the current authenticated user
      • Update the current authenticated user
    • Conversations
      • List available AI providers
      • Generate an AI response
      • List conversations for the current user
      • Create a conversation
      • Delete a conversation
      • Get messages for a conversation
      • Start a conversation session
      • Update session activity
      • End a conversation session
      • Get current session status
      • Search indexed user content
      • Search infrastructure status
      • Rebuild search index
      • List notes
      • Create a note
      • Update a note
      • Delete a note
    • Knowledge Base
      • Search the knowledge base
      • List documents
      • Upload document
      • Query knowledge
    • Organizations
      • List organizations for the current user
      • Create an organization
      • Get organization details
      • Update organization details
      • Delete an organization
      • List organization members
      • Add a member to an organization
      • Update a member's role
      • Comprehensive member update (role, organization, team)
      • Remove a member from an organization
    • Profile & Analytics
      • Get my XP profile
      • Get a user's public profile
      • Get streak status
      • Get weekly XP activity
      • Get learning pulse (365-day heatmap)
      • Get daily quests
      • Get learning time analytics
    • Xentree English
      • Start an XEL module
      • Complete an XEL module
      • Regenerate a task variant
      • Get current XPI breakdown
      • Get XPI history
      • Start a learning session
      • End a learning session
      • Save a transcript entry
      • List XEL modules with user progress
      • Get transcripts for a session
      • Get XEL module details
      • Submit a learning task response
      • Run AI evaluation for speaking or writing
      • Get the XEL dashboard overview
    • Xentree Live
      • Get remaining Xentree Live quota
      • Start a live session
      • Update an active live session heartbeat
      • End a live session
      • Update the user nickname used in Xentree Live
      • List live transcripts for the current user
      • Save live session transcripts
      • Get a single live transcript
    • Skills Connector
      • List active integrations for the current user
      • Start the Google Calendar OAuth flow
    • Integration Tokens
      • Issue tenant-scoped RS256 integration grant token
      • Verify tenant integration token signature and claims
      • Revoke integration token by token or jti
      • Rotate integration grant and optionally revoke previous token
      • Get tenant active JWKS material for verification
      • Get tenant active integration key fingerprints
      • Admin observability for integration token revocations
    • API Keys
      • List API keys
      • Create an API key
      • Delete an API key
      • List tenants
    • Health
      • Health check
      • Detailed health check
  • Schemas
    • Error
    • TokenResponse
    • SimpleDetailResponse
    • UserProfile
    • SimpleMessageResponse
    • ChatRequest
    • LogoutResponse
    • ChatResponse
    • ConversationCreateRequest
    • ConversationResponse
    • KnowledgeSearchRequest
    • RagDocument
    • LiveStartSessionRequest
    • LiveSessionResponse
    • RagUploadResponse
    • CoreSearchConversationResult
    • LiveQuotaResponse
    • RagQueryRequest
    • CoreSearchMessageResult
    • RagQueryResponse
    • TranscriptTurn
    • CoreSearchResponse
    • SaveLiveTranscriptsRequest
    • TypesenseReindexRequest
    • IntegrationOut
    • OrganizationCreateRequest
    • OrganizationResponse
    • TypesenseStatusResponse
    • KnowledgeSearchResultItem
    • MemberResponse
    • NoteCreate
    • NoteUpdate
    • KnowledgeSearchResponse
    • XELModuleSummary
    • NoteResponse
    • XELTaskSubmissionRequest
    • CoreConversationSessionStartResponse
    • XPProfileResponse
    • CoreConversationSessionActivityResponse
    • PublicXPProfileResponse
    • CoreConversationSessionEndResponse
    • StreakStatusResponse
    • WeeklyActivityResponse
    • CoreConversationSessionStatusResponse
    • TenantResponse
    • LearningPulseDayEntry
    • LearningPulseResponse
    • QuestItem
    • QuestsResponse
    • LearningTimeAnalyticsResponse
    • APIKeyCreateRequest
    • APIKeyResponse
    • IntegrationGrantRequest
    • IntegrationGrantResponse
    • XELModuleDetail
    • IntegrationVerifyRequest
    • IntegrationVerifyResponse
    • XELTaskSubmissionResponse
    • XELEvaluationResponse
    • IntegrationRevokeRequest
    • XELDashboardResponse
    • IntegrationRevokeResponse
    • IntegrationRotateRequest
    • LiveSessionEndResponse
    • IntegrationRotateResponse
    • LiveSessionHeartbeatResponse
    • IntegrationJWKSResponse
    • LiveNicknameResponse
    • IntegrationFingerprintResponse
    • LiveTranscriptSaveResponse
    • LiveTranscriptListItem
    • IntegrationTokenRevocationItem
    • LiveTranscriptListResponse
    • LiveTranscriptDetailResponse
    • XELModuleStartResponse
    • XELModuleCompleteResponse
    • XELTaskRegenerateRequest
    • XELTaskRegenerateResponse
    • XELXpiResponse
    • XELXpiHistoryItem
    • XELSessionStartRequest
    • XELSessionStartResponse
    • XELSessionEndRequest
    • XELSessionEndResponse
    • XELTranscriptSaveRequest
    • XELTranscriptSaveResponse
    • XELTranscriptItem
  1. Documentation

Conversations

The Xentree conversation APIs power AI chat, note-taking, search, and learning-session tracking.

Core capabilities#

generate AI responses
create and list conversations
fetch message history
search across indexed data
manage per-conversation learning sessions
create and manage notes

Authentication and scopes#

Conversations endpoints support both:
Authorization: Bearer ...
X-API-Key: ...
Recommended API key scopes:
conversations:read for list/search/read endpoints
conversations:write for create/update/delete endpoints

Main endpoints#

AI response generation#

POST /api/core/learn
Use this endpoint to send a user message and receive an AI-generated response.
Key request fields:
message: the user prompt
provider: model or routing mode such as auto
conversation_history: optional prior turns
user_language: optional response language hint

Providers#

GET /api/core/providers
Returns the currently available model/provider options.

Conversations#

POST /api/core/conversations
GET /api/core/conversations
DELETE /api/core/conversations/{conversation_id}

Conversation messages#

GET /api/core/conversations/{conversation_id}/messages

Search#

GET /api/core/search

Search maintenance (admin)#

GET /api/core/search/status
POST /api/core/search/reindex

Learning sessions (per conversation)#

POST /api/core/conversations/{conversation_id}/session/start
POST /api/core/conversations/{conversation_id}/session/activity
POST /api/core/conversations/{conversation_id}/session/end
GET /api/core/conversations/{conversation_id}/session/status

Notes#

GET /api/core/notes
POST /api/core/notes
PUT /api/core/notes/{note_id}
DELETE /api/core/notes/{note_id}

Notes on write operations#

Write endpoints such as create conversation, delete conversation, and session mutation operations require conversations:write when using API key auth.

Example chat request#

{
  "message": "Create a learning plan for my team.",
  "provider": "auto",
  "conversation_history": [],
  "user_language": "en"
}

Example chat response#

{
  "content": "Here is a structured learning plan for your team...",
  "provider": "auto",
  "model": "gpt-5-mini",
  "usage": null
}
Modified at 2026-04-29 23:52:44
Previous
Authentication
Next
Knowledge Base
Built with